<!-- Page Heading -->
<div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Managing Teams</h1>
</div>
<div class="row">
  <div class="col-xs-12 col-md-6" *ngIf="!(isLoading$ | async) else loading">
    <div class="card shadow mb-4" *ngFor="let team of teams">
      <div class="card-body">
        <app-team-card [team]="team"></app-team-card>
        <div class="pb-2">
          <h5 class="text-gray-800">Users</h5>
          <ng-container *ngFor="let user of team.members; let last = last">
            <span>{{user.user.name}}</span>
            <span *ngIf="!last">, </span>
          </ng-container>
        </div>
        <div><h5 class="text-gray-800">Rooms: {{team.roomsCount}}</h5></div>
      </div>
      <div class="card-footer">
        <a class="btn btn-primary mr-2" [routerLink]="['/manage','teams',team.id]">Edit</a>
        <button (click)="tokenRegenerate(team)" class="btn btn-warning">Regenerate Invitation Code</button>
      </div>
    </div>
  </div>
</div>

<ng-template #loading>
  <div class="col d-flex p-2 justify-content-center align-items-end" style="height: 200px">
    <fa-icon [icon]="faCircleNotch" spin="true" size="3x"></fa-icon>
  </div>
</ng-template>
